#!/bin/bash

# kemo setup
if [[ ! -d ~/.emacs.d.profiles ]]; then
    git clone https://git.kemonine.info/kemonine/dotfiles.git ~/.emacs.d.profiles
fi

# multi profile
if [[ ! -d ~/.emacs.d ]]; then
    git clone https://github.com/plexus/chemacs2.git ~/.emacs.d
fi

# profiles
rm ~/.emacs-profiles.el
if grep -q "Android" <<< `uname -a`; then
    ln -s ~/.emacs.d.profiles/.emacs-profiles-mobile.el ~/.emacs-profiles.el
else
    ln -s ~/.emacs.d.profiles/.emacs-profiles.el ~/.emacs-profiles.el
fi

# dont forget to pre-compile elisp / install plugins
cat ~/.emacs-profiles.el
echo "run emacs with each profile in '~/.emacs-profiles.el'"
echo "install multimarkdown (windows bin release + add to emacs path like sqlite3)"
echo "pacman -S mingw-w64-x86_64-{emacs,emacs-pdf-tools-server,imagemagick} in msys2"
echo "pacman -S mingw-w64-x86_64-texlive-full in msys2"
echo "pacman -S mingw-w64-x86_64-aspell mingw-w64-x86_64-hunspell mingw-w64-x86_64-hunspell-en in msys2"
